> For the complete documentation index, see [llms.txt](https://player.docs.3q.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://player.docs.3q.video/plugins/quizzing.md).

# Quizzing

You can pause the video on defined timestamps and display quizzing questions.

There are several types of question types:

## SingleChoice (Text)

{% embed url="<https://codepen.io/3qgmbh/embed/popZYma>" %}

### **Configuration**

```javascript
{
  "quizzingquestions": [
    {
      "id": 1,
      "QuestionType": "singlechoice_text",
      "secondsFromStart": 10,
      "skippable": true,
      "Text": "Find the correct answer",
      "FeedbackTextRight": "<h3>Well done!</h3><p>You are really smart!</p>",
      "FeedbackTextWrong": "<h3>Wrong answer</h3><p>Please try again</p>",
      "Answers": [
        {
          "id": 10,
          "Text": "I am a wrong answer"
        },
        {
          "id": 11,
          "Text": "I am the right answer",
          "IsRight": true
        },
        {
          "id": 12,
          "Text": "I am not the right answer"
        },
        {
          "id": 13,
          "Text": "I am a wrong answer"
        }
      ]
    }
  ]
}
```

## SingleChoice (Image)

{% embed url="<https://codepen.io/3qgmbh/embed/xxpJmWG>" %}

### **Configuration**

```javascript
{
  "quizzingquestions": [
    {
      "id": 2,
      "QuestionType": "singlechoice_image",
      "secondsFromStart": 10,
      "Text": "Where is the doll?",
      "FeedbackTextRight": "<h3>Well done!</h3><p>You are really smart!</p>",
      "FeedbackTextWrong": "<h3>Wrong answer</h3><p>Please try again</p>",
      "Answers": [
        {
          "id": 20,
          "Text": "Barbie",
          "IsRight": true,
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4cb1389071614695601.jpeg"
        },
        {
          "id": 21,
          "Text": "Filmstreifen",
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4cb13e8921614695601.jpeg"
        },
        {
          "id": 22,
          "Text": "Klappe",
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4cb14000f1614695601.jpeg"
        },
        {
          "id": 23,
          "Text": "FB Camera",
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4cb1417541614695601.jpeg"
        }
      ]
    }
  ]
}
```

## MultipleChoice (Text)

{% embed url="<https://codepen.io/3qgmbh/embed/eYyjadp>" %}

### **Configuration**

```javascript
{
  "quizzingquestions": [
    {
      "id": 3,
      "QuestionType": "multiplechoice_text",
      "secondsFromStart": 10,
      "Text": "Can you find the correct answers?",
      "FeedbackTextRight": "<h3>Well done!</h3><p>You are really smart!</p>",
      "FeedbackTextWrong": "<h3>Wrong answer</h3><p>Please try again</p>",
      "Answers": [
        {
          "id": 30,
          "Text": "I am correct",
          "IsRight": true
        },
        {
          "id": 31,
          "Text": "I am wrong"
        },
        {
          "id": 32,
          "Text": "I am wrong"
        },
        {
          "id": 33,
          "Text": "I am correct",
          "IsRight": true
        },
        {
          "id": 34,
          "Text": "I am wrong"
        },
        {
          "id": 35,
          "Text": "I am wrong"
        }
      ]
    }
  ]
}
```

## MultipleChoice (Image)

{% embed url="<https://codepen.io/3qgmbh/embed/zYpLQoB>" %}

### **Configuration**

```javascript
{
  "quizzingquestions": [
    {
      "id": 4,
      "QuestionType": "multiplechoice_image",
      "secondsFromStart": 10,
      "Text": "Can you find the correct answers?",
      "FeedbackTextRight": "<h3>Well done!</h3><p>You are really smart!</p>",
      "FeedbackTextWrong": "<h3>Wrong answer</h3><p>Please try again</p>",
      "Answers": [
        {
          "id": 40,
          "Text": "Filmstreifen",
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4d3264dd31614695730.jpeg"
        },
        {
          "id": 41,
          "Text": "München",
          "IsRight": true,
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4d326679f1614695730.jpeg"
        },
        {
          "id": 42,
          "Text": "Barbie",
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4d3267c111614695730.jpeg"
        },
        {
          "id": 43,
          "Text": "Klappe",
          "IsRight": true,
          "Thumb": "https://sdn-global-prog-cache.3qsdn.com/uploads/5985/files/21/02/12/2749914/603e4d32692851614695730.jpeg"
        }
      ]
    }
  ]
}
```

## Assignment

{% embed url="<https://codepen.io/3qgmbh/embed/dyJVwKy>" %}

### **Configuration**

```javascript
{
  "quizzingquestions": [
    {
      "id": 5,
      "QuestionType": "assignment",
      "secondsFromStart": 10,
      "Text": "Assign the persons to the companies",
      "FeedbackTextRight": "<h3>Well done!</h3><p>You are really smart!</p>",
      "FeedbackTextWrong": "<h3>Wrong answer</h3><p>Please try again</p>",
      "Answers": [
        {
          "id": 50,
          "Text": "Steve Jobs",
          "Bucket": "Apple"
        },
        {
          "id": 51,
          "Text": "Bill Gates",
          "Bucket": "Microsoft"
        },
        {
          "id": 52,
          "Text": "Steve Ballmer",
          "Bucket": "Microsoft"
        },
        {
          "id": 53,
          "Text": "Steve Wozniak",
          "Bucket": "Apple"
        }
      ]
    }
  ]
}
```

## Cloze

{% embed url="<https://codepen.io/3qgmbh/embed/yLpqwyg>" %}

### **Configuration**

```javascript
{
  quizzingquestions: [
    {
      id: 6,
      QuestionType: "close",
      secondsFromStart: 10,
      Text: "Fill in the blanks",
      FeedbackTextRight: "<h3>Well done!</h3><p>You are really smart!</p>",
      FeedbackTextWrong: "<h3>Wrong answer</h3><p>Please try again</p>",
      Answers: [
        {
          "Text": "Zwei flinke __Boxer__ jagen die quirlige __Eva__ und ihren __Mops__ durch Sylt."
        }
      ]
    }
  ]
}
```

## Reflection

{% embed url="<https://codepen.io/3qgmbh/embed/rNprgzL>" %}

### **Configuration**

```javascript
{
  quizzingquestions: [
    {
      id: 7,
      secondsFromStart: 10,
      QuestionType: "reflection",
      Text: "This is just a text. We recommend using CtA instead"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://player.docs.3q.video/plugins/quizzing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
